Pages de garde

GET https://mylink.le360agency.com/api/splash-pages/
curl --request GET \
--url 'https://mylink.le360agency.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
Paramètres Détails Description
search Facultatif Chaîne La chaîne de recherche.
search_by Facultatif Chaîne Dans quel domaine recherchez-vous. Les valeurs autorisées sont : name.
datetime_field Facultatif Chaîne Valeurs autorisées : datetime, last_datetime
datetime_start Facultatif Chaîne Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Facultatif Chaîne Filter results up to this datetime. Y-m-d H:i:s format.
order_by Facultatif Chaîne Par quel champ classer les résultats. Les valeurs autorisées sont : splash_page_id, datetime, last_datetime, name.
order_type Facultatif Chaîne L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant et DESC pour un ordre décroissant.
page Facultatif Entier Le numéro de page dont vous souhaitez obtenir les résultats. La valeur par défaut est 1.
results_per_page Facultatif Entier Combien de résultats vous souhaitez par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. La valeur par défaut est 25.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-06-11 10:57:36",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://mylink.le360agency.com/api/projects?page=1",
        "last": "https://mylink.le360agency.com/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://mylink.le360agency.com/api/projects?page=1"
    }
}
GET https://mylink.le360agency.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://mylink.le360agency.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-06-11 10:57:36",
    }
}
POST https://mylink.le360agency.com/api/projects
Paramètres Détails Description
name Requis Chaîne -
title Facultatif Chaîne -
logo Facultatif Déposer -
favicon Facultatif Déposer -
opengraph Facultatif Déposer -
description Facultatif Chaîne -
secondary_button_name Facultatif Chaîne -
secondary_button_url Facultatif Chaîne -
custom_css Facultatif Chaîne -
custom_js Facultatif Chaîne -
ads_header Facultatif Chaîne -
ads_footer Facultatif Chaîne -
link_unlock_seconds Facultatif Entier -
auto_redirect Facultatif Booléen -
curl --request POST \
--url 'https://mylink.le360agency.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
POST https://mylink.le360agency.com/api/splash-pages/{splash_page_id}
Paramètres Détails Description
name Facultatif Chaîne -
title Facultatif Chaîne -
logo Facultatif Déposer -
favicon Facultatif Déposer -
opengraph Facultatif Déposer -
description Facultatif Chaîne -
secondary_button_name Facultatif Chaîne -
secondary_button_url Facultatif Chaîne -
custom_css Facultatif Chaîne -
custom_js Facultatif Chaîne -
ads_header Facultatif Chaîne -
ads_footer Facultatif Chaîne -
link_unlock_seconds Facultatif Entier -
auto_redirect Facultatif Booléen -
curl --request POST \
--url 'https://mylink.le360agency.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://mylink.le360agency.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://mylink.le360agency.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \